<?php
//外部からきたデータを受け取ってPHP変数内に格納する
	$name = $_POST['name'];
	$email = $_POST['email'];
	$gender = $_POST['gender'];
	$content = $_POST['content'];
	
	//データチェック
	if(strlen($name) < 1){
		//1文字未満の場合はエラー
		header('Location:index.php?e=1');//index.phpに戻す
	}
	if((strlen($email) < 1) || (!preg_match('/^[a-zA-Z0-9][a-zA-Z0-9_\-\.]*[a-zA-Z0-9_\-]@[a-zA-Z0-9][a-zA-Z0-9_\-]*\.[a-zA-Z0-9_\-\.]+$/',$email))){
		//メールアドレスが記入されていない、または正規表現に一致していない
		header('Location:index.php?e=2');
	}
	if(strlen($content) < 1){
		header('Location:index.php?e=3');
	}

//性別のみconfirmで中身を書き換えているため、チェックを行う
	if(($gender !== '女性') AND ($gender !== '男性') AND ($gender !== 'その他')){
		header('Location:index.php');
	}
	
//メール送信
$to = 'class@cieds.jp';//送信先（宛先）のメールアドレス
$from = 'sender@example.com';//送信元（差出人）のメールアドレス
mb_language("japanese");//日本語メールを送るために指定
mb_internal_encoding("utf-8");//現在のPHPファイルの文字コードを指定
$subject = 'メールのタイトル';//メールのタイトル
$body = 'フォームから問い合わせがあったですよ'."\n".
			  '名前:'.$name."\n".
				'メールアドレス：'.$email."\n".
				'性別：'.$gender."\n".
				'内容：'.$content."\n";//メール本文。\nは改行を示す
mb_send_mail($to,$subject,$body,"From:".$from);//作成したメールを送信。差出人名は、"From:"を記述してから指定すること

//ファイルにデータを保存する
$fp = fopen("data.txt","a");//data.txtを書き込み可能状態で開く。無ければ作成する（あれば追記）
$data = '名前：'.$name.','.'メールアドレス：'.$email.','.'性別：'.$gender.','.'内容：'.$content."\n";//カンマ区切りのデータを作成。行末に改行を入れておく
if(!fwrite($fp,$data)){//ファイルに書き込めない場合だけ成立
	//ファイルにデータを書き込む
	print('ファイルに書き込めませんでした');
}
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>無題ドキュメント</title>
</head>

<body>
	<main>
		<h1>お問い合わせ完了</h1>
		<p>お問い合わせを受け付けました。</p>
	</main>
</body>
</html>