<?php
	include('thumb.php');//thumb.phpの内容を読み込む
	
	//外部からきたデータを受け取ってPHP変数内に格納する
	$name = $_POST['name'];
	$email = $_POST['email'];
	$gender = $_POST['gender'];
	$content = $_POST['content'];
	
	//アップロードファイルのチェック
	if(isset($_FILES['imagefile'])){
		//何らかのファイルが送信されてきている
		$tmp_filename = $_FILES['imagefile']['tmp_name'];//一時ファイル名を取得
		$type = exif_imagetype($tmp_filename);
		if(($type != IMAGETYPE_JPEG) && ($type != IMAGETYPE_GIF) && ($type != IMAGETYPE_PNG)){
			//ファイルがJPEGでもGIFでもPNGでも無い場合はエラーとする
			header('Location:index.php?e=4');//エラーとして戻す
		}
		$new_filename = date("YmdHis").$_FILES['imagefile']['name'];
		//現在の年月日時をファイル名の前に付与して新しいファイル名を作成する
		move_uploaded_file($tmp_filename,'upload/'.$new_filename);//画像をuploadフォルダー内に保存
		
		//画像サイズの変更
		$thumb_filename = createThumb('upload/'.$new_filename,250,250);//独自関数でサムネイル画像を生成して、ファイル名を取得
	}
	
	//データチェック
	if(strlen($name) < 1){
		//1文字未満の場合はエラー
		header('Location:index.php?e=1');//index.phpに戻す
	}
	if((strlen($email) < 1) || (!preg_match('/^[a-zA-Z0-9][a-zA-Z0-9_\-\.]*[a-zA-Z0-9_\-]@[a-zA-Z0-9][a-zA-Z0-9_\-]*\.[a-zA-Z0-9_\-\.]+$/',$email))){
		//メールアドレスが記入されていない、または正規表現に一致していない
		header('Location:index.php?e=2');
	}
	if(strlen($content) < 1){
		header('Location:index.php?e=3');
	}
	if($gender == 1){
		$gender = '女性';
	}
	elseif($gender == 2){
		$gender = '男性';
	}
	else{
		$gender = 'その他';
	}
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>無題ドキュメント</title>
</head>

<body>
	<main>
		<h1>内容確認</h1>
		<ul>
			<li>名前：<?php print(htmlspecialchars($name,ENT_QUOTES));//上で格納した$nameの値を表示する ?></li>
			<li>メールアドレス：<?php print(htmlspecialchars($email,ENT_QUOTES)); ?></li>
			<li>性別：<?php print($gender); ?></li>
			<li>問い合わせ内容：<?php print(nl2br(htmlspecialchars($content,ENT_QUOTES))); ?></li>
		</ul>
		<form action="complete.php" method="post">
		<input type="hidden" name="name" value="<?php print($name); ?>">
		<input type="hidden" name="email" value="<?php print($email); ?>">
		<input type="hidden" name="gender" value="<?php print($gender); ?>">
		<input type="hidden" name="content" value="<?php print($content); ?>">
		<input type="submit" value="お問い合わせする">
		</form>
		<p><a href="javascript:history.go(-1);">前のページに戻る</a></p>
	</main>
</body>
</html>